summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/perl/perl-5.14.3/debian/deprecate-with-apt.diff
diff options
context:
space:
mode:
Diffstat (limited to 'meta/recipes-devtools/perl/perl-5.14.3/debian/deprecate-with-apt.diff')
-rw-r--r--meta/recipes-devtools/perl/perl-5.14.3/debian/deprecate-with-apt.diff407
1 files changed, 407 insertions, 0 deletions
diff --git a/meta/recipes-devtools/perl/perl-5.14.3/debian/deprecate-with-apt.diff b/meta/recipes-devtools/perl/perl-5.14.3/debian/deprecate-with-apt.diff
new file mode 100644
index 0000000..3a145a1
--- /dev/null
+++ b/meta/recipes-devtools/perl/perl-5.14.3/debian/deprecate-with-apt.diff
@@ -0,0 +1,407 @@
1Upstream-Status:Inappropriate [debian patches]
2From c2bd2059cfbba573643c748ace4ff4db4cbf015d Mon Sep 17 00:00:00 2001
3From: Dominic Hargreaves <dom@earth.li>
4Date: Mon, 17 May 2010 13:23:07 +0300
5Subject: Point users to Debian packages of deprecated core modules
6
7Bug-Debian: http://bugs.debian.org/580034
8
9Class::ISA, Switch, Pod::Plainer, and (partially) Shell were
10deprecated from the Perl core in 5.12.0.
11
12Class::ISA, Switch, Pod::Plainer were removed from the Perl core in
135.14.0.
14
15Shell and Devel::DProf, and Perl 4 libraries, were deprecated from the
16Perl core in 5.14.0.
17
18To get a clean transition, perl/perl-modules is going to recommend the
19separate Debian packages of these for one release cycle so that they will be
20pulled in by default on upgrades.
21
22However, on systems configured to ignore recommendations the deprecation
23warnings will still be useful, so modify them slightly to point to the
24separate packages instead.
25
26Patch-Name: debian/deprecate-with-apt.diff
27---
28 lib/abbrev.pl | 2 +-
29 lib/assert.pl | 2 +-
30 lib/bigfloat.pl | 2 +-
31 lib/bigint.pl | 2 +-
32 lib/bigrat.pl | 2 +-
33 lib/cacheout.pl | 2 +-
34 lib/complete.pl | 2 +-
35 lib/ctime.pl | 2 +-
36 lib/deprecate.pm | 16 +++++++++++++++-
37 lib/dotsh.pl | 2 +-
38 lib/exceptions.pl | 2 +-
39 lib/fastcwd.pl | 2 +-
40 lib/find.pl | 2 +-
41 lib/finddepth.pl | 2 +-
42 lib/flush.pl | 2 +-
43 lib/getcwd.pl | 2 +-
44 lib/getopt.pl | 2 +-
45 lib/getopts.pl | 2 +-
46 lib/hostname.pl | 2 +-
47 lib/importenv.pl | 2 +-
48 lib/look.pl | 2 +-
49 lib/newgetopt.pl | 2 +-
50 lib/open2.pl | 2 +-
51 lib/open3.pl | 2 +-
52 lib/pwd.pl | 2 +-
53 lib/shellwords.pl | 2 +-
54 lib/stat.pl | 2 +-
55 lib/syslog.pl | 2 +-
56 lib/tainted.pl | 2 +-
57 lib/termcap.pl | 2 +-
58 lib/timelocal.pl | 2 +-
59 lib/validate.pl | 2 +-
60 32 files changed, 46 insertions(+), 32 deletions(-)
61
62diff --git a/lib/abbrev.pl b/lib/abbrev.pl
63index d46321f..0168631 100644
64--- a/lib/abbrev.pl
65+++ b/lib/abbrev.pl
66@@ -1,4 +1,4 @@
67-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
68+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
69
70 ;# Usage:
71 ;# %foo = ();
72diff --git a/lib/assert.pl b/lib/assert.pl
73index d47e006..80593c5 100644
74--- a/lib/assert.pl
75+++ b/lib/assert.pl
76@@ -1,4 +1,4 @@
77-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
78+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
79
80 #
81 # This library is no longer being maintained, and is included for backward
82diff --git a/lib/bigfloat.pl b/lib/bigfloat.pl
83index 82d0f5c..c21bac6 100644
84--- a/lib/bigfloat.pl
85+++ b/lib/bigfloat.pl
86@@ -1,4 +1,4 @@
87-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
88+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
89
90 package bigfloat;
91 require "bigint.pl";
92diff --git a/lib/bigint.pl b/lib/bigint.pl
93index 6de1c53..031e8ad 100644
94--- a/lib/bigint.pl
95+++ b/lib/bigint.pl
96@@ -1,4 +1,4 @@
97-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
98+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
99
100 package bigint;
101 #
102diff --git a/lib/bigrat.pl b/lib/bigrat.pl
103index aaf1713..146a8f4 100644
104--- a/lib/bigrat.pl
105+++ b/lib/bigrat.pl
106@@ -1,4 +1,4 @@
107-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
108+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
109
110 package bigrat;
111 require "bigint.pl";
112diff --git a/lib/cacheout.pl b/lib/cacheout.pl
113index a5da453..937405d 100644
114--- a/lib/cacheout.pl
115+++ b/lib/cacheout.pl
116@@ -1,4 +1,4 @@
117-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
118+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
119
120 #
121 # This library is no longer being maintained, and is included for backward
122diff --git a/lib/complete.pl b/lib/complete.pl
123index 9ed041c..2ab0c6a 100644
124--- a/lib/complete.pl
125+++ b/lib/complete.pl
126@@ -1,4 +1,4 @@
127-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
128+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
129
130 ;#
131 #
132diff --git a/lib/ctime.pl b/lib/ctime.pl
133index aa00d00..ac24e71 100644
134--- a/lib/ctime.pl
135+++ b/lib/ctime.pl
136@@ -1,4 +1,4 @@
137-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
138+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
139
140 ;# ctime.pl is a simple Perl emulation for the well known ctime(3C) function.
141 #
142diff --git a/lib/deprecate.pm b/lib/deprecate.pm
143index 7562c69..fc548b0 100644
144--- a/lib/deprecate.pm
145+++ b/lib/deprecate.pm
146@@ -7,6 +7,14 @@ our $VERSION = 0.02;
147 our %Config;
148 unless (%Config) { require Config; *Config = \%Config::Config; }
149
150+# Debian-specific change: recommend the separate Debian packages of
151+# deprecated modules where available
152+
153+my %DEBIAN_PACKAGES = (
154+ "Shell" => "libshell-perl",
155+ "Devel::DProf" => "libdevel-dprof-perl"
156+);
157+
158 # This isn't a public API. It's internal to code maintained by the perl-porters
159 # If you would like it to be a public API, please send a patch with
160 # documentation and tests. Until then, it may change without warning.
161@@ -58,9 +66,15 @@ EOM
162 if (defined $callers_bitmask
163 && (vec($callers_bitmask, $warnings::Offsets{deprecated}, 1)
164 || vec($callers_bitmask, $warnings::Offsets{all}, 1))) {
165- warn <<"EOM";
166+ if (my $deb = $DEBIAN_PACKAGES{$package}) {
167+ warn <<"EOM";
168+$package will be removed from the Perl core distribution in the next major release. Please install the separate $deb package. It is being used at $call_file, line $call_line.
169+EOM
170+ } else {
171+ warn <<"EOM";
172 $package will be removed from the Perl core distribution in the next major release. Please install it from CPAN. It is being used at $call_file, line $call_line.
173 EOM
174+ }
175 }
176 }
177 }
178diff --git a/lib/dotsh.pl b/lib/dotsh.pl
179index 92f1f4c..4085122 100644
180--- a/lib/dotsh.pl
181+++ b/lib/dotsh.pl
182@@ -1,4 +1,4 @@
183-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
184+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
185
186 #
187 # @(#)dotsh.pl 03/19/94
188diff --git a/lib/exceptions.pl b/lib/exceptions.pl
189index 8af64c8..b5b1427 100644
190--- a/lib/exceptions.pl
191+++ b/lib/exceptions.pl
192@@ -1,4 +1,4 @@
193-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
194+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
195
196 # exceptions.pl
197 # tchrist@convex.com
198diff --git a/lib/fastcwd.pl b/lib/fastcwd.pl
199index 70007a1..2c7c42e 100644
200--- a/lib/fastcwd.pl
201+++ b/lib/fastcwd.pl
202@@ -1,4 +1,4 @@
203-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
204+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
205
206 # By John Bazik
207 #
208diff --git a/lib/find.pl b/lib/find.pl
209index 8e1b42c..7fb2fbf 100644
210--- a/lib/find.pl
211+++ b/lib/find.pl
212@@ -1,4 +1,4 @@
213-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
214+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
215
216 # This library is deprecated and unmaintained. It is included for
217 # compatibility with Perl 4 scripts which may use it, but it will be
218diff --git a/lib/finddepth.pl b/lib/finddepth.pl
219index 479905f..c07cea5 100644
220--- a/lib/finddepth.pl
221+++ b/lib/finddepth.pl
222@@ -1,4 +1,4 @@
223-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
224+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
225
226 # This library is deprecated and unmaintained. It is included for
227 # compatibility with Perl 4 scripts which may use it, but it will be
228diff --git a/lib/flush.pl b/lib/flush.pl
229index c427976..e5ed0ae 100644
230--- a/lib/flush.pl
231+++ b/lib/flush.pl
232@@ -1,4 +1,4 @@
233-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
234+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
235
236 #
237 # This library is no longer being maintained, and is included for backward
238diff --git a/lib/getcwd.pl b/lib/getcwd.pl
239index 77b2442..3810a99 100644
240--- a/lib/getcwd.pl
241+++ b/lib/getcwd.pl
242@@ -1,4 +1,4 @@
243-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
244+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
245
246 # By Brandon S. Allbery
247 #
248diff --git a/lib/getopt.pl b/lib/getopt.pl
249index 1d4008a..019a165 100644
250--- a/lib/getopt.pl
251+++ b/lib/getopt.pl
252@@ -1,4 +1,4 @@
253-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
254+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
255
256 ;# $RCSfile: getopt.pl,v $$Revision: 4.1 $$Date: 92/08/07 18:23:58 $
257 #
258diff --git a/lib/getopts.pl b/lib/getopts.pl
259index 37ecb4a..3d27418 100644
260--- a/lib/getopts.pl
261+++ b/lib/getopts.pl
262@@ -1,4 +1,4 @@
263-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
264+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
265
266 ;# getopts.pl - a better getopt.pl
267 #
268diff --git a/lib/hostname.pl b/lib/hostname.pl
269index f57375e..b055d30 100644
270--- a/lib/hostname.pl
271+++ b/lib/hostname.pl
272@@ -1,4 +1,4 @@
273-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
274+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
275
276 # From: asherman@fmrco.com (Aaron Sherman)
277 #
278diff --git a/lib/importenv.pl b/lib/importenv.pl
279index 625edf6..52ee722 100644
280--- a/lib/importenv.pl
281+++ b/lib/importenv.pl
282@@ -1,4 +1,4 @@
283-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
284+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
285
286 # This library is no longer being maintained, and is included for backward
287 # compatibility with Perl 4 programs which may require it.
288diff --git a/lib/look.pl b/lib/look.pl
289index 7be55b2..12dcace 100644
290--- a/lib/look.pl
291+++ b/lib/look.pl
292@@ -1,4 +1,4 @@
293-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
294+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
295
296 ;# Usage: &look(*FILEHANDLE,$key,$dict,$fold)
297 #
298diff --git a/lib/newgetopt.pl b/lib/newgetopt.pl
299index 4ac9470..08df6cb 100644
300--- a/lib/newgetopt.pl
301+++ b/lib/newgetopt.pl
302@@ -1,4 +1,4 @@
303-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
304+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
305
306 # This library is no longer being maintained, and is included for backward
307 # compatibility with Perl 4 programs which may require it.
308diff --git a/lib/open2.pl b/lib/open2.pl
309index ceb5653..a05f2ab 100644
310--- a/lib/open2.pl
311+++ b/lib/open2.pl
312@@ -1,4 +1,4 @@
313-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
314+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
315
316 # This legacy library is deprecated and will be removed in a future
317 # release of perl.
318diff --git a/lib/open3.pl b/lib/open3.pl
319index 9f4d5a4..27f7ab4 100644
320--- a/lib/open3.pl
321+++ b/lib/open3.pl
322@@ -1,4 +1,4 @@
323-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
324+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
325
326 # This legacy library is deprecated and will be removed in a future
327 # release of perl.
328diff --git a/lib/pwd.pl b/lib/pwd.pl
329index bd8123b..bdace6e 100644
330--- a/lib/pwd.pl
331+++ b/lib/pwd.pl
332@@ -1,4 +1,4 @@
333-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
334+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
335
336 ;# pwd.pl - keeps track of current working directory in PWD environment var
337 ;#
338diff --git a/lib/shellwords.pl b/lib/shellwords.pl
339index b562f5f..7f16375 100644
340--- a/lib/shellwords.pl
341+++ b/lib/shellwords.pl
342@@ -1,4 +1,4 @@
343-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
344+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
345
346 ;# This legacy library is deprecated and will be removed in a future
347 ;# release of perl.
348diff --git a/lib/stat.pl b/lib/stat.pl
349index feda273..910ce1c 100644
350--- a/lib/stat.pl
351+++ b/lib/stat.pl
352@@ -1,4 +1,4 @@
353-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
354+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
355
356 ;# This legacy library is deprecated and will be removed in a future
357 ;# release of perl.
358diff --git a/lib/syslog.pl b/lib/syslog.pl
359index 7504a5d..4c2b95f 100644
360--- a/lib/syslog.pl
361+++ b/lib/syslog.pl
362@@ -1,4 +1,4 @@
363-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
364+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
365
366 #
367 # syslog.pl
368diff --git a/lib/tainted.pl b/lib/tainted.pl
369index e88bca1..d58c765 100644
370--- a/lib/tainted.pl
371+++ b/lib/tainted.pl
372@@ -1,4 +1,4 @@
373-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
374+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
375
376 # This legacy library is deprecated and will be removed in a future
377 # release of perl.
378diff --git a/lib/termcap.pl b/lib/termcap.pl
379index a84cba3..e641f4d 100644
380--- a/lib/termcap.pl
381+++ b/lib/termcap.pl
382@@ -1,4 +1,4 @@
383-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
384+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
385
386 ;# $RCSfile: termcap.pl,v $$Revision: 4.1 $$Date: 92/08/07 18:24:16 $
387 #
388diff --git a/lib/timelocal.pl b/lib/timelocal.pl
389index fefb9da..2297888 100644
390--- a/lib/timelocal.pl
391+++ b/lib/timelocal.pl
392@@ -1,4 +1,4 @@
393-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
394+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
395
396 ;# timelocal.pl
397 ;#
398diff --git a/lib/validate.pl b/lib/validate.pl
399index fc2d16a..1a8aef4 100644
400--- a/lib/validate.pl
401+++ b/lib/validate.pl
402@@ -1,4 +1,4 @@
403-warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
404+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
405
406 ;# The validate routine takes a single multiline string consisting of
407 ;# lines containing a filename plus a file test to try on it. (The